package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class MedDeptBonus extends CoreBillBase implements IMedDeptBonus
{
    public MedDeptBonus()
    {
        super();
        registerInterface(IMedDeptBonus.class, this);
    }
    public MedDeptBonus(Context ctx)
    {
        super(ctx);
        registerInterface(IMedDeptBonus.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("93177157");
    }
    private MedDeptBonusController getController() throws BOSException
    {
        return (MedDeptBonusController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public MedDeptBonusCollection getMedDeptBonusCollection() throws BOSException
    {
        try {
            return getController().getMedDeptBonusCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public MedDeptBonusCollection getMedDeptBonusCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getMedDeptBonusCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public MedDeptBonusCollection getMedDeptBonusCollection(String oql) throws BOSException
    {
        try {
            return getController().getMedDeptBonusCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public MedDeptBonusInfo getMedDeptBonusInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getMedDeptBonusInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public MedDeptBonusInfo getMedDeptBonusInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getMedDeptBonusInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public MedDeptBonusInfo getMedDeptBonusInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getMedDeptBonusInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}